Skip to main content
GET
Get a consolidated billing plan

Authorizations

Authorization
string
header
required

Access token issued by POST /sessions and associated with a valid server-side session.

Path Parameters

id
string<uuid>
required

UUID identifying this resource.

Query Parameters

company_id
string<uuid>
required

Company UUID. Must equal the authenticated session company when that session has a company assigned; the equality check is skipped for sessions without one.

school_id
string<uuid>
required

School UUID.

Response

Successful response.

Billing Plan.

id
string
required
student_id
string
required

Student id.

student_first_name
string | null
required
student_last_name
string | null
required
school_id
string
required

School id.

school_name
string
required
update_billing_plan_in_procare
string | null
required
billing_plan_audit
string | null
required
current_room_name
string | null
required
current_room_id
string | null
required
start_date
string | null
required
transition_date
string | null
required
withdrawal_date
string | null
required
template_timing
string
required
billing_plan_status
string | null
required
current_room_program
string | null
required
billing_plan
string | null
required
tuition_plan_program
string | null
required
transition_room_program
string | null
required
billing_cycle
string | null
required
invoiced_amount
number<double> | null
required
monthly_invoice_amount
number<double> | null
required
program_tuition_rate
number<double> | null
required
difference_monthly_invoice_amount
number<double> | null
required
payment_method_future
string | null
required
autopay
string | null
required
supply_fee_invoiced
number<double> | null
required
part_time
string
required
staff_child
string | null
required
siblings
string
required
family_id
string
required

Family id.

is_tuition_plan
boolean
required
color_hex
string
required
short_name
string
required
ems_student_status
string | null
required
processing_fee_calculated
number<double>
required
processing_plan_audit
string | null
required
field_labels
object | null
required
alerts
object[] | null
required